Page MenuHomeFreeBSD

sysutils/fusefs-lkl: update to 4.16
ClosedPublic

Authored by ml_vishwin.info on Jun 28 2018, 6:59 AM.

Details

Summary

Upstream rebased LKL to Linux 4.16 on 14 May. They also removed all git tags, so the version is now based on the Linux kernel's Makefile and date of the git revision.

The Makefile no longer accepts specific targets, as all targets are specified in the Targets file and all built. The non-FUSE targets are removed for this port to prevent them from building.

Test Plan

Passed poudriere testport. Mounted an xfs filesystem and successfully manipulated files in it.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Remove stray/leftover commented Makefile target

cem added a comment.Jun 28 2018, 6:03 PM

Looks pretty good to me, thanks! Some questions below.

sysutils/fusefs-lkl/Makefile
6 ↗(On Diff #44575)

This line can be dropped when it is zero, I think.

sysutils/fusefs-lkl/files/patch-Targets
7–14 ↗(On Diff #44575)

These probably do not take significant build time relative to LKL itself, right? Maybe just delete them in a post-build Makefile target? That's much easier to maintain across new version than patches (in my experience).

sysutils/fusefs-lkl/files/patch-scripts_headers__install.sh
8 ↗(On Diff #44575)

Maybe rebase on ea9a4f45cd36bcefd0256e0a2a685b1384b5596b or later instead of this patch?

sysutils/fusefs-lkl/files/patch-scripts_link-vmlinux.sh
9–11 ↗(On Diff #44575)

Maybe this change can be upstreamed, like https://github.com/lkl/linux/pull/444 ?

sysutils/fusefs-lkl/files/patch-Targets
7–14 ↗(On Diff #44575)

fs2tar fails to build because it contains an #include <argp.h>, which only the linux-*-devtools port provides in our linuxulator hierarchy (this build expects the header in the standard hierarchy). Trying to change the include paths to include our linuxulator hierarchy would also modify this file and unnecessarily pull in the linux ports.

One cannot build these targets individually anymore without removing targets from this file.

cem added inline comments.Jun 28 2018, 6:20 PM
sysutils/fusefs-lkl/files/patch-Targets
7–14 ↗(On Diff #44575)

Ok, I'm satisfied with this explanation. Thanks!

Rebase on current revision. gsed and gnustat patches are still needed to build properly; upstream claimed fixed but tested against a docker environment with CircleCI, not poudriere.

ml_vishwin.info marked 4 inline comments as done.Jun 28 2018, 11:47 PM

Remove stray commented line again.

mat added a comment.Jun 29 2018, 6:38 AM

You probably do not need the sed and stat patches, and should probably be using BINARY_ALIAS.

cem accepted this revision.Jun 29 2018, 3:21 PM

If you can drop the two patches that just change program names to use the gnu programs via mat's suggestion, great. If not, it looks good as-is to me.

This revision is now accepted and ready to land.Jun 29 2018, 3:21 PM

Use BINARY_ALIAS. How did I miss this part of the handbook?

This revision now requires review to proceed.Jun 29 2018, 4:42 PM
cem accepted this revision.Jun 30 2018, 4:06 AM
This revision is now accepted and ready to land.Jun 30 2018, 4:06 AM

Note that I'm not a committer (yet), so I can't commit this myself.

This revision was automatically updated to reflect the committed changes.